
#include "glwindows.h"

#include <stdio.h>

#ifdef _WIN32
int WINAPI WinMain(	HINSTANCE	hInstance,
					HINSTANCE	hPrevInstance,
					LPSTR		lpCmdLine,
					int			nCmdShow)
#else
int main()
#endif
{
	GLWindows* glWindows;
	glWindows = new GLWindows(); // Création d'une instance glWindows

	// Création d'une fenêtre et initialisation de OpenGL
	if (glWindows->openWindowGLW ("Essai OpenGL", 100, 50, 800, 600, 32, false))
	{
		glWindows->trtMsgGLW (true); // Traitement des évènements glWindows en boucle
		// Ou equivalent, mais avec possibilité d'intervenir dans le traitement
		// while (!glWindows->trtMsgGLW (false));
		#ifdef _WIN32
		  MessageBox (NULL, "Fin du programme !", "Test glWindows", MB_OK);
		#else
		  printf ("Fin du programme !\n");
		#endif
	}

	delete glWindows; // destruction de notre instance on libere ce qu'il reste a liberer...
}

